Activity log for bug #1811230

Date Who What changed Old value New value Message
2019-01-10 10:46:09 Timo Aaltonen bug added bug
2019-01-10 10:46:22 Timo Aaltonen bug task added xorg-server-hwe-18.04 (Ubuntu)
2019-01-10 10:46:33 Timo Aaltonen nominated for series Ubuntu Cosmic
2019-01-10 10:46:33 Timo Aaltonen bug task added xorg-server (Ubuntu Cosmic)
2019-01-10 10:46:33 Timo Aaltonen bug task added xorg-server-hwe-18.04 (Ubuntu Cosmic)
2019-01-10 10:46:33 Timo Aaltonen nominated for series Ubuntu Bionic
2019-01-10 10:46:33 Timo Aaltonen bug task added xorg-server (Ubuntu Bionic)
2019-01-10 10:46:33 Timo Aaltonen bug task added xorg-server-hwe-18.04 (Ubuntu Bionic)
2019-01-10 10:46:43 Timo Aaltonen xorg-server (Ubuntu): status New Fix Released
2019-01-10 10:46:47 Timo Aaltonen xorg-server-hwe-18.04 (Ubuntu): status New Invalid
2019-01-10 10:46:53 Timo Aaltonen xorg-server (Ubuntu Bionic): status New Invalid
2019-01-10 10:46:58 Timo Aaltonen xorg-server-hwe-18.04 (Ubuntu Cosmic): status New Invalid
2019-01-10 11:04:14 Timo Aaltonen description [Impact] [Test case] [Regression potential] [Impact] New upstream bugfix release for cosmic and bionic HWE backport. Upstream changes: 1.20.2 Lots of bugfixes all over the map. Thanks to all for testing and patches! Adam Jackson (8): modesetting: Lie less in the man page modesetting: Document Option "DoubleShadow" in the man page xfree86: Fix Option "MaxClients" validation modesetting: Don't free(dst) in drmmode_prop_info_copy glamor_egl: Don't initialize on llvmpipe glamor/egl: Avoid crashing on broken configurations fbdevhw: Refuse to touch PCI devices on the fallback probe path xserver 1.20.2 Alex Goins (1): randr: rrCheckPixmapBounding should only increase screen size Alexander Volkov (1): os/xdmcp: Don't create a new socket in XdmcpReset() Cedric Roux (1): miext/damage: take care of the coordinate mode in damagePolyPoint Dave Airlie (9): shm: move shmsize verify before allocating the drawable. xi: free modifiers_failed on error path. (v2) fboverlay: move bpp checks above malloc glamor: fix leak of fs_getcolor_source. modesetting: get pEnt after error checks posix_tty: free leak of xf86SetStrOption return value. xkb: fix what looks to be a copy-paste error with first vs firstMM mibltblt: free prgnSrcClip on error path. devices: break after finding and removing device from lists Jim Qu (1): modesetting: code refactor for PRIME sync Lionel Landwerlin (2): present: fix freed pointer access xwayland: fix access to invalid pointer Olivier Fourdan (3): glx: check for indirect context in CreateContextAttribsARB() xwayland: Remove xwl_present_window from privates on cleanup xwayland: Use `double` for `xwl_tablet_tool` Peter Hutterer (1): dix: check_modmap_change() returns Success, not true Pierre Ossman (1): Switch automatic composite update to WorkQueue Scott Anderson (1): xwayland: use wayland axis_discrete event 1.20.3: Fixes CVE-2018-14665 (local file overwrite bugs), and a trivial fix in fbdevhw initialization. All users are advised to upgrade. Thanks to Narendra Shinde and Thomas Hoger for the report, and Matthieu Herrb for the fix. Adam Jackson (1): xserver 1.20.3 Matthieu Herrb (2): Disable -logfile and -modulepath when running with elevated privileges LogFilePrep: add a comment to the unsafe format string. Peter Hutterer (1): xfree86: fix readlink call [Test case] Normal desktop usage. [Regression potential] This has been in disco for two months without any regressions filed, so it should be safe.
2019-01-15 10:22:02 Sebastien Bacher xorg-server (Ubuntu Cosmic): assignee Timo Aaltonen (tjaalton)
2019-01-15 10:22:09 Sebastien Bacher xorg-server-hwe-18.04 (Ubuntu Bionic): assignee Timo Aaltonen (tjaalton)
2019-01-28 10:06:00 Łukasz Zemczak xorg-server (Ubuntu Cosmic): status New Fix Committed
2019-01-28 10:06:01 Łukasz Zemczak bug added subscriber Ubuntu Stable Release Updates Team
2019-01-28 10:06:02 Łukasz Zemczak bug added subscriber SRU Verification
2019-01-28 10:06:05 Łukasz Zemczak tags verification-needed verification-needed-cosmic
2019-03-05 12:37:33 Timo Aaltonen tags verification-needed verification-needed-cosmic verification-done verification-done-cosmic
2019-05-14 01:57:13 Mathew Hodson bug added subscriber Mathew Hodson
2019-05-14 01:58:06 Mathew Hodson xorg-server (Ubuntu Bionic): status Invalid Won't Fix
2019-05-14 01:58:31 Mathew Hodson bug task deleted xorg-server-hwe-18.04 (Ubuntu)
2019-05-14 01:58:37 Mathew Hodson bug task deleted xorg-server-hwe-18.04 (Ubuntu Cosmic)
2019-05-14 01:58:44 Mathew Hodson removed subscriber Mathew Hodson
2019-05-24 10:11:39 Timo Aaltonen xorg-server-hwe-18.04 (Ubuntu Bionic): status New Won't Fix
2019-07-21 02:09:58 Mathew Hodson xorg-server (Ubuntu Cosmic): status Fix Committed Won't Fix